> ## Documentation Index
> Fetch the complete documentation index at: https://documentation.lettucestream.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Runtime Config

> Returns public runtime configuration values used by client integrations.



## OpenAPI

````yaml GET /api/runtime-config
openapi: 3.1.0
info:
  title: Lettuce Stream API
  description: OpenAPI subset used by the API reference endpoint examples.
  version: 1.0.0
servers:
  - url: https://www.lettucestream.com
security: []
paths:
  /api/runtime-config:
    get:
      summary: Get runtime configuration
      description: Returns public runtime configuration values used by client integrations.
      responses:
        '200':
          description: Runtime configuration
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RuntimeConfig'
components:
  schemas:
    RuntimeConfig:
      type: object
      required:
        - relayUrl
        - captionsRelayUrl
        - rtmpIngestUrl
        - appBaseUrl
        - publicApiKey
      properties:
        relayUrl:
          type: string
        captionsRelayUrl:
          type: string
        rtmpIngestUrl:
          type: string
        appBaseUrl:
          type: string
        publicApiKey:
          type: string

````